Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1372069

Description of problem:

Searches with global parameters not working as expected. The hammer host list --search "params.globalparameter = value1" returns

all hosts even when we override these values for some hosts. From WebUI also we get same results.

Version-Release number of selected component (if applicable):

How reproducible:

Everytime

Steps to Reproduce:

1. hammer global-parameter set --name myparam --value one

2. hammer host set-parameter --host-id 3 --name myparam --value two

3. hammer host list --search "params.myparam = two"

---|-------------------|------------------|------------|-----------------|------------------

ID | NAME              | OPERATING SYSTEM | HOST GROUP | IP              | MAC

---|-------------------|------------------|------------|-----------------|------------------

3  | testvm.labs.local | RedHat 7.2       | provhg     | 192.168.124.100 | 52:54:00:79:93:27

---|-------------------|------------------|------------|-----------------|------------------

4. hammer host list --search "params.myparam = one"

---|----------------------|------------------|------------|-----------------|------------------

ID | NAME                 | OPERATING SYSTEM | HOST GROUP | IP              | MAC

---|----------------------|------------------|------------|-----------------|------------------

1  | satellite.labs.local | RedHat 7.2       |            | 192.168.124.10  | 52:54:00:98:78:a0

3  | testvm.labs.local    | RedHat 7.2       | provhg     | 192.168.124.100 | 52:54:00:79:93:27

---|----------------------|------------------|------------|-----------------|------------------

Expected results: Hosts with values overridden should not be listed

Related issues:

Related to Foreman - Bug #17272: Searches on `parameters` with "!=" does not ... Closed 11/08/2016

Copied to Foreman - Bug #16600: Searches with global parameters and overrides... Rejected 09/15/2016

Associated revisions

Revision a29f3e39 - 09/19/2016 04:29 AM - Tomer Brisker

Fixes #16565 - Correct host search by parameters

Overrides for parameters values caused incorrect results for when

searching by parameter value. This commit fixes those results, and

improves the handling of parameter priorities in general. A new rake

task, `parameters:reset_priorities` is introduced that should be invoked

every time priorities are changed to update to the correct values.
Revision c53daba1 - 09/26/2016 07:38 AM - Tomer Brisker

Fixes #16565 - Correct host search by parameters

Overrides for parameters values caused incorrect results for when

searching by parameter value. This commit fixes those results, and

improves the handling of parameter priorities in general. A new rake

task, `parameters:reset_priorities` is introduced that should be invoked

every time priorities are changed to update to the correct values.

(cherry picked from commit a29f3e3937ac366d3e16ac40f395189a552f4e27)

History

#1 - 09/15/2016 04:54 AM - Tomer Brisker

- Priority changed from High to Normal

#2 - 09/15/2016 05:13 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3847 added

#3 - 09/19/2016 05:03 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a29f3e3937ac366d3e16ac40f395189a552f4e27.

#4 - 09/19/2016 05:57 AM - Dominic Cleal

- Subject changed from [BUG] Searches with global parameters not working as expected to Searches with global parameters and overrides returning

incorrect results

- translation missing: en.field_release set to 189

Contains priorities schema (numbering) change, so will split into a separate 1.13.x compatible fix.

#5 - 09/19/2016 05:59 AM - Dominic Cleal

- Copied to Bug #16600: Searches with global parameters and overrides returning incorrect results added

#6 - 09/20/2016 10:02 AM - Daniel Lobato Garcia

- Target version set to 1.5.2

#7 - 09/22/2016 06:07 AM - Dominic Cleal

- translation missing: en.field_release changed from 189 to 160

The priority changes are necessary to fix missing org/loc entries, they're not just a refactoring. Since it's a schema change, I'm moving it forward to

the .0 release.

#8 - 01/11/2017 08:24 AM - Tomer Brisker

- Related to Bug #17272: Searches on `parameters` with "!=" does not work as expected added
